Subject: Re: [PATCH/RFC 2/2] completion: allow use without compiling

From: Clemens Buchacher <[email-masked]>
Date: Tue, 27 Oct 2009 01:33:53 +0100

On Mon, Oct 26, 2009 at 04:59:18PM -0700, Junio C Hamano wrote:

> Stephen Boyd <[email-masked]> writes:
> 
> >  This duplicates code, but I don't know of a way to re-use the dynamic
> >  code without sourcing a bash script and possibly breaking someone's build.
>
>  (1) If the script notices that there is a file that contains the command
>      list, it sources it; otherwise,

Or we substitute the command list in-place, so that we still have the entire
completion script in one file.

Clemens